const { sessionStorageKey } = require('../../api/request')
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    navBarHeight: app.globalData.navBarHeight,
    navBarConfig: {
      booFixed: true,
      backgroundColor: ''
    },
    sessionId: '',
    userInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      sessionId: wx.getStorageSync(sessionStorageKey),
      userInfo: app.globalData.userInfo
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },
  jump(e) {
    const { navigate } = e.currentTarget.dataset
    const index = ['order', 'invoice', 'setting', 'feedback'].findIndex(item => item === navigate)
    if (!this.data.sessionId && index > -1) {
      wx.navigateTo({
        url: '/pages/login/login'
      })
      return
    }
    if (this.data.sessionId && navigate === 'login') {
      return
    }
    wx.navigateTo({
      url: `/pages/${navigate}/${navigate}`
    })
  }
})
